Endpoints
List Posts
List grouped multi-platform posts with per-platform results, retries, warnings, and capabilities.
GET
/
api
/
v1
/
posts
List grouped posts
curl --request GET \
--url https://mallary.ai/api/v1/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://mallary.ai/api/v1/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mallary.ai/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"posts": [
{
"id": 123,
"batch_id": "<string>",
"profile_id": "<string>",
"job_ids": [
123
],
"auto_reply_enabled": true,
"message": "<string>",
"media": [
{
"url": "<string>",
"type": "<string>",
"thumbnail_url": "<string>"
}
],
"created_at": "<string>",
"posted_at": "<string>",
"scheduled_at": "<string>",
"scheduled_timezone": "<string>",
"action_required": {},
"platforms": [],
"results": [
{
"job_id": 123,
"success": true,
"platform_post_id": "<string>",
"platform_post_url": "<string>",
"shortcode": "<string>",
"platform_username": "<string>",
"post_type": "<string>",
"error_message": "<string>",
"action_required": {},
"retry_exhausted": true,
"next_retry_at": "<string>",
"attempt": 123,
"attempts_allowed": 123
}
],
"retry": {
"exhausted": true,
"next_retry_at": "<string>",
"attempt": 123,
"attempts_allowed": 123
},
"analytics": {}
}
],
"warnings": [
{
"scope": "<string>",
"platform": "<string>",
"code": "<string>",
"message": "<string>",
"details": null,
"retry_at": "<string>",
"expires_at": "<string>",
"updated_at": "<string>"
}
],
"capabilities": {
"can_schedule": true,
"can_analytics": true,
"can_auto_reply": true,
"max_accounts_per_platform": 123
},
"profile_id": "<string>",
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}
}Use
profile_id to list grouped posts for a non-default connection profile. Omit it to list the default profile.
Each post includes per-platform results. When the platform returns or exposes those values, completed platform results include platform_post_id and platform_post_url.Authorizations
Use Authorization: Bearer {api_key}
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter grouped posts to one connection profile. Omit to use the default profile.
Random public connection profile ID returned by GET /api/v1/profiles.
Pattern:
^[A-Za-z0-9]{6,32}$Example:
"AbC123xYz90"
Last modified on July 30, 2026
Was this page helpful?
⌘I
List grouped posts

